

-- Inputs:
-- animation_time: current animation time in seconds
-- winW and winH: current window size


gh_renderer.clear_color_depth_buffers(bgcolor.r, bgcolor.g, bgcolor.b, bgcolor.a, 1.0)

gh_gpu_program.bind(glsl_prog)
gh_gpu_program.uniform1f(glsl_prog, "time", animation_time)
gh_gpu_program.uniform2f(glsl_prog, "resolution", winW, winH)

gh_gpu_program.uniform2f(glsl_prog, "mouse", mouse_x, mouse_y)

gh_mesh.resize_quad(quad, winW, winH)
gh_object.render(quad)







